## org.eclipse.emf.ocl.expressions.impl
Class ToStringVisitorImpl

    java.lang.Object
      org.eclipse.emf.ocl.expressions.impl.ToStringVisitorImpl

All Implemented Interfaces:
  Visitor

    public class ToStringVisitorImpl

extends Object
implements Visitor

Method Summary
`static Visitor` `getInstance()`
`static String` `toString(Visitable v)` The string representation (for debugging purposes) of a visitable AST element.
`Object` `visitAssociationClassCallExp(AssociationClassCallExp ac)` Callback for an AssociationClassCallExp visit.
`Object` `visitBooleanLiteralExp(BooleanLiteralExp bl)` Callback for a BooleanLiteralExp visit.
`Object` `visitCollectionLiteralExp(CollectionLiteralExp cl)` Callback for a CollectionLiteralExp visit.
`Object` `visitConstraint(Constraint constraint)` Renders a constraint with its context and expression.
`Object` `visitEnumLiteralExp(EnumLiteralExp el)` Callback for an EnumLiteralExp visit.
`Object` `visitIfExp(IfExp i)` Callback for an IfExp visit.
`Object` `visitIntegerLiteralExp(IntegerLiteralExp il)` Callback for an IntegerLiteralExp visit.
`Object` `visitInvalidLiteralExp(InvalidLiteralExp il)`
`Object` `visitIterateExp(IterateExp ie)` Callback for an IterateExp visit.
`Object` `visitIteratorExp(IteratorExp ie)` Callback for an IteratorExp visit.
`Object` `visitLetExp(LetExp l)` Callback for LetExp visit.
`Object` `visitMessageExp(MessageExp m)`
`Object` `visitNullLiteralExp(NullLiteralExp il)`
`Object` `visitOperationCallExp(OperationCallExp oc)` Callback for an OperationCallExp visit.
`Object` `visitPropertyCallExp(PropertyCallExp pc)` Callback for an AssociationEndCallExp visit.
`Object` `visitRealLiteralExp(RealLiteralExp rl)` Callback for a RealLiteralExp visit.
`Object` `visitStateExp(StateExp s)`
`Object` `visitStringLiteralExp(StringLiteralExp sl)` Callback for a StringLiteralExp visit.
`Object` `visitTupleLiteralExp(TupleLiteralExp tl)` Callback for a TupleLiteralExp visit.
`Object` `visitTupleLiteralPart(TupleLiteralPart tp)`
`Object` `visitTypeExp(TypeExp t)`
`Object` `visitUnspecifiedValueExp(UnspecifiedValueExp uv)` Callback for an UnspecifiedValueExp visit.
`Object` `visitVariable(Variable vd)` Callback for the Variable visit.
`Object` `visitVariableExp(VariableExp v)` Callback for a VariableExp visit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Visitor getInstance()

### toString

    public static String toString(Visitable v)

  The string representation (for debugging purposes) of a visitable AST element. Where required elements are missing, they are replaced by `"<null>"` in the result.

  Parameters:
    `v` - a visitable AST node
  Returns:
    the debug string for a visitable

### visitOperationCallExp

    public Object visitOperationCallExp(OperationCallExp oc)

  Callback for an OperationCallExp visit. Look at the source to determine operator ( -> or . )

  Specified by:
    `visitOperationCallExp` in interface `Visitor`
  Parameters:
    `oc` - the operation call expression
  Returns:
    string

### visitEnumLiteralExp

    public Object visitEnumLiteralExp(EnumLiteralExp el)

  Callback for an EnumLiteralExp visit.

  Specified by:
    `visitEnumLiteralExp` in interface `Visitor`
  Parameters:
    `el` - the enumeration literal expresion
  Returns:
    the enumeration literal toString()

### visitVariableExp

    public Object visitVariableExp(VariableExp v)

  Callback for a VariableExp visit.

  Specified by:
    `visitVariableExp` in interface `Visitor`
  Parameters:
    `v` - the variable expression
  Returns:
    the variable name

### visitPropertyCallExp

    public Object visitPropertyCallExp(PropertyCallExp pc)

  Callback for an AssociationEndCallExp visit.

  Specified by:
    `visitPropertyCallExp` in interface `Visitor`
  Parameters:
    `pc` - the property call expression
  Returns:
    string source.ref

### visitAssociationClassCallExp

    public Object visitAssociationClassCallExp(AssociationClassCallExp ac)

  Callback for an AssociationClassCallExp visit.

  Specified by:
    `visitAssociationClassCallExp` in interface `Visitor`
  Parameters:
    `ac` - the association class expression
  Returns:
    string source.ref

### visitVariable

    public Object visitVariable(Variable vd)

  Callback for the Variable visit.

  Specified by:
    `visitVariable` in interface `Visitor`
  Parameters:
    `vd` - the variable declaration
  Returns:
    string

### visitIfExp

    public Object visitIfExp(IfExp i)

  Callback for an IfExp visit.

  Specified by:
    `visitIfExp` in interface `Visitor`
  Parameters:
    `i` - IfExp
  Returns:
    String

### visitTypeExp

    public Object visitTypeExp(TypeExp t)

  Specified by:
    `visitTypeExp` in interface `Visitor`

### visitStateExp

    public Object visitStateExp(StateExp s)

  Specified by:
    `visitStateExp` in interface `Visitor`

### visitUnspecifiedValueExp

    public Object visitUnspecifiedValueExp(UnspecifiedValueExp uv)

  Callback for an UnspecifiedValueExp visit.

  Specified by:
    `visitUnspecifiedValueExp` in interface `Visitor`
  Parameters:
    `uv` - - UnspecifiedValueExp
  Returns:
    the string representation

### visitIntegerLiteralExp

    public Object visitIntegerLiteralExp(IntegerLiteralExp il)

  Callback for an IntegerLiteralExp visit.

  Specified by:
    `visitIntegerLiteralExp` in interface `Visitor`
  Parameters:
    `il` - -- integer literal expression
  Returns:
    String

### visitRealLiteralExp

    public Object visitRealLiteralExp(RealLiteralExp rl)

  Callback for a RealLiteralExp visit.

  Specified by:
    `visitRealLiteralExp` in interface `Visitor`
  Parameters:
    `rl` - -- real literal expression
  Returns:
    the value of the real literal as a java.lang.Double.

### visitStringLiteralExp

    public Object visitStringLiteralExp(StringLiteralExp sl)

  Callback for a StringLiteralExp visit.

  Specified by:
    `visitStringLiteralExp` in interface `Visitor`
  Parameters:
    `sl` - -- string literal expression
  Returns:
    the value of the string literal as a java.lang.String.

### visitBooleanLiteralExp

    public Object visitBooleanLiteralExp(BooleanLiteralExp bl)

  Callback for a BooleanLiteralExp visit.

  Specified by:
    `visitBooleanLiteralExp` in interface `Visitor`
  Parameters:
    `bl` - -- boolean literal expression
  Returns:
    the value of the boolean literal as a java.lang.Boolean.

### visitLetExp

    public Object visitLetExp(LetExp l)

  Callback for LetExp visit.

  Specified by:
    `visitLetExp` in interface `Visitor`
  Parameters:
    `l` - - let expression
  Returns:
    String

### visitIterateExp

    public Object visitIterateExp(IterateExp ie)

  Callback for an IterateExp visit.

  Specified by:
    `visitIterateExp` in interface `Visitor`
  Parameters:
    `ie` - -- iterate expression
  Returns:
    String

### visitIteratorExp

    public Object visitIteratorExp(IteratorExp ie)

  Callback for an IteratorExp visit.

  Specified by:
    `visitIteratorExp` in interface `Visitor`
  Parameters:
    `ie` - - iterator expression
  Returns:
    string

### visitCollectionLiteralExp

    public Object visitCollectionLiteralExp(CollectionLiteralExp cl)

  Callback for a CollectionLiteralExp visit.

  Specified by:
    `visitCollectionLiteralExp` in interface `Visitor`
  Parameters:
    `cl` - collection literal expression
  Returns:
    String

### visitTupleLiteralExp

    public Object visitTupleLiteralExp(TupleLiteralExp tl)

  Callback for a TupleLiteralExp visit.

  Specified by:
    `visitTupleLiteralExp` in interface `Visitor`
  Parameters:
    `tl` - tuple literal expression
  Returns:
    String

### visitTupleLiteralPart

    public Object visitTupleLiteralPart(TupleLiteralPart tp)

  Specified by:
    `visitTupleLiteralPart` in interface `Visitor`

### visitMessageExp

    public Object visitMessageExp(MessageExp m)

  Specified by:
    `visitMessageExp` in interface `Visitor`

### visitConstraint

    public Object visitConstraint(Constraint constraint)

  Renders a constraint with its context and expression.

  Specified by:
    `visitConstraint` in interface `Visitor`

### visitInvalidLiteralExp

    public Object visitInvalidLiteralExp(InvalidLiteralExp il)

  Specified by:
    `visitInvalidLiteralExp` in interface `Visitor`

### visitNullLiteralExp

    public Object visitNullLiteralExp(NullLiteralExp il)

  Specified by:
    `visitNullLiteralExp` in interface `Visitor`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.